SequenceFileInputFormat (Hadoop 0.20.1+169.88 API)
Date: 2010-05-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class SequenceFileInputFormat<K,V>

    java.lang.Object
      org.apache.hadoop.mapred.FileInputFormat<K,V>
          org.apache.hadoop.mapred.SequenceFileInputFormat<K,V>

All Implemented Interfaces:
  InputFormat<K,V>

Direct Known Subclasses:
  SequenceFileAsBinaryInputFormat, SequenceFileAsTextInputFormat, SequenceFileInputFilter

Deprecated. Use `SequenceFileInputFormat` instead.

    @Deprecated
    public class SequenceFileInputFormat<K,V>

extends FileInputFormat<K,V>

An `InputFormat` for `SequenceFile`s.

Field Summary

Fields inherited from class org.apache.hadoop.mapred.FileInputFormat
`LOG`

Constructor Summary
`SequenceFileInputFormat()` Deprecated.

Method Summary
`RecordReader<K,V>` | `getRecordReader(InputSplit split, JobConf job, Reporter reporter)` Deprecated. Get the `RecordReader` for the given `InputSplit`.
`protected FileStatus[]` | `listStatus(JobConf job)` Deprecated. List input directories.

Methods inherited from class org.apache.hadoop.mapred.FileInputFormat
`addInputPath, addInputPaths, computeSplitSize, getBlockIndex, getInputPathFilter, getInputPaths, getSplitHosts, getSplits, isSplitable, setInputPathFilter, setInputPaths, setInputPaths, setMinSplitSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceFileInputFormat

    public SequenceFileInputFormat()

  Deprecated.

Method Detail

### listStatus

    protected FileStatus[] listStatus(JobConf job)
                               throws IOException

  Deprecated.
  Description copied from class: `FileInputFormat`
  List input directories. Subclasses may override to, e.g., select only files matching a regular expression.

  Overrides:
    `listStatus` in class `FileInputFormat<K,V>`
  Parameters:
    `job` - the job to list input paths for
  Returns:
    array of FileStatus objects
  Throws:
    `IOException` - if zero items.

### getRecordReader

    public RecordReader<K,V> getRecordReader(InputSplit split,
                                             JobConf job,
                                             Reporter reporter)
                                      throws IOException

  Deprecated.
  Description copied from interface: `InputFormat`
  Get the `RecordReader` for the given `InputSplit`.

  It is the responsibility of the `RecordReader` to respect record boundaries while processing the logical split to present a record-oriented view to the individual task.

  Specified by:
    `getRecordReader` in interface `InputFormat<K,V>`
  Specified by:
    `getRecordReader` in class `FileInputFormat<K,V>`
  Parameters:
    `split` - the `InputSplit`
    `job` - the job that this split belongs to
  Returns:
    a `RecordReader`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation